Home

# Class goog.testing.async.MockControl

Provides asynchronous mocks and assertions controlled by a parent MockControl.

Instance Method Summary
| `assertDeferredEquals(string message, <Any Type> expected, <Any Type> actual)` Asserts that a deferred object will call its callback with the given value.
| `assertDeferredError(?goog.async.Deferred deferred, function (): undefined fn)` Asserts that a deferred object will have an error and call its errback function.
| `asyncAssertEquals(string message, <Any Type> var_args) ⇒ function (...[*]): undefined` Returns a function that will assert that its arguments are equal to the arguments given to asyncAssertEquals. In addition, the function also asserts that it will be called.
| `createCallbackMock(string name, function (...[*]): * callback, ?Object= opt_selfObj) ⇒ !Function` Returns a function that will assert that it will be called, and run the given callback when it is.